openSUSE Security Update : audiofile (openSUSE-2018-1325)

Medium Nessus Plugin ID 118488

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for audiofile fixes the following issues :

- CVE-2018-17095: A heap-based buffer overflow in Expand3To4Module::run could occurred when running sfconvert leading to crashes or code execution when handling untrusted soundfiles (bsc#1111586).

This update was imported from the SUSE:SLE-15:Update update project.

Solution

Update the affected audiofile packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1111586

Plugin Details

Severity: Medium

ID: 118488

File Name: openSUSE-2018-1325.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2018/10/29

Modified: 2018/10/29

Dependencies: 12634

Risk Information

Risk Factor: Medium

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:audiofile, p-cpe:/a:novell:opensuse:audiofile-debuginfo, p-cpe:/a:novell:opensuse:audiofile-debugsource, p-cpe:/a:novell:opensuse:audiofile-devel, p-cpe:/a:novell:opensuse:audiofile-devel-32bit, p-cpe:/a:novell:opensuse:libaudiofile1, p-cpe:/a:novell:opensuse:libaudiofile1-32bit, p-cpe:/a:novell:opensuse:libaudiofile1-32bit-debuginfo, p-cpe:/a:novell:opensuse:libaudiofile1-debuginfo, cpe:/o:novell:opensuse:15.0

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2018/10/27

Reference Information

CVE: CVE-2018-17095